"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('createObject')
        .setValue('description', 'Create an original object.')
        .setValue('use', '$createObject[object?]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        let obj = r.inside ? utils_1.Utils.loadObject(r.inside.unescape()) : null;
        if (r.inside && !obj)
            return utils_1.Utils.Warn('Invalid object provided in:', d.func);
        d._.object = obj || {};
        return {
            code: d.code.resolve(`${d.func}`, '')
        };
    }
};
