"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('randomString')
        .setValue('description', 'Generate a random string.')
        .setValue('use', '$randomNumber[length]')
        .setValue('returns', 'String'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (!utils_1.Utils.isNumber(r.inside))
            return utils_1.Utils.Warn('Invalid number provided in:', d.func);
        let res = (new Array(Number(r.inside))).join().replace(/(.|$)/g, () => { return ((Math.random() * 36) | 0).toString(36)[Math.random() < .5 ? "toString" : "toUpperCase"](); });
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, res)
        };
    }
};
