"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('timeout')
        .setValue('description', 'Set the max timeout for this route and the JSON response.')
        .setValue('use', '$timeout[miliseconds;status;json]')
        .setValue('returns', 'String'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let [time, status, json] = r.splits;
        if (!utils_1.Utils.isNumber(status) || !utils_1.Utils.isNumber(time))
            return utils_1.Utils.Warn('Invalid number provided in:', d.func);
        if (!utils_1.Utils.loadObject(json.unescape()))
            return utils_1.Utils.Warn('Invalid JSON provided in:', d.func);
        d.res.setTimeout(Number(time), () => {
            return d.res.status(Number(status)).json(utils_1.Utils.loadObject(json.unescape()));
        });
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
